Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::PrimitiveDrawRequestBuilder Class Reference

プリミティブ描画リクエストビルダ More...

`#include <PrimitiveDrawRequestBuilder.h>`

List of all members.

## Static Public Member Functions
void | buildPoint (PrimitiveDrawRequest *request)
| ポイントの構築
void | buildAxisPoint (PrimitiveDrawRequest *request)
| 軸ポイントの構築
void | buildAxis (PrimitiveDrawRequest *request)
| 軸の構築
void | buildArrow (PrimitiveDrawRequest *request)
| 矢印の構築
void | buildGrid (PrimitiveDrawRequest *request, int division, int subDivision)
| グリッドの構築
void | buildPlane (PrimitiveDrawRequest *request)
| 平面の構築
void | buildSphere (PrimitiveDrawRequest *request, float radius, int horizontalDivision, int verticalDivision)
| 球の構築
void | buildBox (PrimitiveDrawRequest *request, float width, float height, float depth)
| 箱の構築
void | buildCylinder (PrimitiveDrawRequest *request, float radius, float height, int division)
| 円柱の構築
void | buildCone (PrimitiveDrawRequest *request, float radius, float height, int division)
| コーンの構築
void | buildBone (PrimitiveDrawRequest *request, CharacterModel *model)
| ボーンの構築

## Detailed Description

プリミティブ描画リクエストビルダ

Definition at line 37 of file PrimitiveDrawRequestBuilder.h.

## Member Function Documentation

void Lamp::PrimitiveDrawRequestBuilder::buildArrow | ( | PrimitiveDrawRequest * | request | ) | `[static]`

  | 矢印の構築 Parameters:
  request | 描画リクエスト
Definition at line 121 of file PrimitiveDrawRequestBuilder.cpp. References Lamp::PrimitiveDrawRequest::enableColor(), Lamp::PrimitiveDrawRequest::setColor(), Lamp::PrimitiveDrawRequest::setPosition(), and Lamp::PrimitiveDrawRequest::setVertexCount().

void Lamp::PrimitiveDrawRequestBuilder::buildAxis | ( | PrimitiveDrawRequest * | request | ) | `[static]`

  | 軸の構築 Parameters:
  request | 描画リクエスト
Definition at line 100 of file PrimitiveDrawRequestBuilder.cpp. References Lamp::PrimitiveDrawRequest::enableColor(), Lamp::PrimitiveDrawRequest::setColor(), Lamp::PrimitiveDrawRequest::setPosition(), and Lamp::PrimitiveDrawRequest::setVertexCount().

void Lamp::PrimitiveDrawRequestBuilder::buildAxisPoint | ( | PrimitiveDrawRequest * | request | ) | `[static]`

  | 軸ポイントの構築 Parameters:
  request | 描画リクエスト
Definition at line 67 of file PrimitiveDrawRequestBuilder.cpp. References Lamp::PrimitiveDrawRequest::enableColor(), Lamp::PrimitiveDrawRequest::setColor(), Lamp::PrimitiveDrawRequest::setPosition(), and Lamp::PrimitiveDrawRequest::setVertexCount().

void Lamp::PrimitiveDrawRequestBuilder::buildBone | ( | PrimitiveDrawRequest * | request,
|  | CharacterModel * | model
| ) | `[static]`

  | ボーンの構築 Parameters:
  request | 描画リクエスト
  model | キャラクタモデル
Definition at line 380 of file PrimitiveDrawRequestBuilder.cpp. References Assert, Lamp::CharacterModel::buildBoneMatrix(), Lamp::PrimitiveDrawRequest::enableColor(), Lamp::Bone::getBone(), Lamp::CharacterModel::getBone(), Lamp::Bone::getBoneCount(), Lamp::CharacterModel::getBoneCount(), Lamp::Bone::getDeformMatrix(), Lamp::Bone::getInversePoseMatrix(), Lamp::Matrix34::invertTransformation(), NULL, Lamp::PrimitiveDrawRequest::setColor(), Lamp::PrimitiveDrawRequest::setPosition(), and Lamp::PrimitiveDrawRequest::setVertexCount().

void Lamp::PrimitiveDrawRequestBuilder::buildBox | ( | PrimitiveDrawRequest * | request,
|  | float | width,
|  | float | height,
|  | float | depth
| ) | `[static]`

  | 箱の構築 Parameters:
  request | 描画リクエスト
  width | 幅
  height | 高さ
  depth | 奥行き
Definition at line 284 of file PrimitiveDrawRequestBuilder.cpp. References Assert, Lamp::PrimitiveDrawRequest::setPosition(), Lamp::PrimitiveDrawRequest::setVertexCount(), Lamp::PrimitiveDrawRequest::setVertexIndex(), Lamp::PrimitiveDrawRequest::setVertexIndexCount(), and u_short.

void Lamp::PrimitiveDrawRequestBuilder::buildCone | ( | PrimitiveDrawRequest * | request,
|  | float | radius,
|  | float | height,
|  | int | division
| ) | `[static]`

  | コーンの構築 Parameters:
  request | 描画リクエスト
  radius | 半径
  height | 高さ
  division | 分割数
Definition at line 352 of file PrimitiveDrawRequestBuilder.cpp. References Assert, Lamp::PrimitiveDrawRequest::setPosition(), Lamp::PrimitiveDrawRequest::setVertexCount(), Lamp::PrimitiveDrawRequest::setVertexIndex(), and Lamp::PrimitiveDrawRequest::setVertexIndexCount().

void Lamp::PrimitiveDrawRequestBuilder::buildCylinder | ( | PrimitiveDrawRequest * | request,
|  | float | radius,
|  | float | height,
|  | int | division
| ) | `[static]`

  | 円柱の構築 Parameters:
  request | 描画リクエスト
  radius | 半径
  height | 高さ
  division | 分割数
Definition at line 315 of file PrimitiveDrawRequestBuilder.cpp. References Assert, Lamp::PrimitiveDrawRequest::setPosition(), Lamp::PrimitiveDrawRequest::setVertexCount(), Lamp::PrimitiveDrawRequest::setVertexIndex(), and Lamp::PrimitiveDrawRequest::setVertexIndexCount().

void Lamp::PrimitiveDrawRequestBuilder::buildGrid | ( | PrimitiveDrawRequest * | request,
|  | int | division,
|  | int | subDivision
| ) | `[static]`

  | グリッドの構築 Parameters:
  request | 描画リクエスト
  division | 分割数
  subDivision | サブ分割数
Definition at line 153 of file PrimitiveDrawRequestBuilder.cpp. References Lamp::PrimitiveDrawRequest::enableColor(), Lamp::Color4c::set(), Lamp::PrimitiveDrawRequest::setColor(), Lamp::PrimitiveDrawRequest::setPosition(), and Lamp::PrimitiveDrawRequest::setVertexCount().

void Lamp::PrimitiveDrawRequestBuilder::buildPlane | ( | PrimitiveDrawRequest * | request | ) | `[static]`

  | 平面の構築 Parameters:
  request | 描画リクエスト
Definition at line 175 of file PrimitiveDrawRequestBuilder.cpp. References Lamp::PrimitiveDrawRequest::enableColor(), Lamp::PrimitiveDrawRequest::setColor(), Lamp::PrimitiveDrawRequest::setPosition(), and Lamp::PrimitiveDrawRequest::setVertexCount().

void Lamp::PrimitiveDrawRequestBuilder::buildPoint | ( | PrimitiveDrawRequest * | request | ) | `[static]`

  | ポイントの構築 Parameters:
  request | 描画リクエスト
Definition at line 34 of file PrimitiveDrawRequestBuilder.cpp. References Lamp::PrimitiveDrawRequest::enableColor(), Lamp::PrimitiveDrawRequest::setColor(), Lamp::PrimitiveDrawRequest::setPosition(), and Lamp::PrimitiveDrawRequest::setVertexCount().

void Lamp::PrimitiveDrawRequestBuilder::buildSphere | ( | PrimitiveDrawRequest * | request,
|  | float | radius,
|  | int | horizontalDivision,
|  | int | verticalDivision
| ) | `[static]`

  | 球の構築 Parameters:
  request | 描画リクエスト
  radius | 半径
  horizontalDivision | 水平分割数
  verticalDivision | 垂直分割数
Definition at line 205 of file PrimitiveDrawRequestBuilder.cpp. References Assert, Lamp::PrimitiveDrawRequest::setPosition(), Lamp::PrimitiveDrawRequest::setVertexCount(), Lamp::PrimitiveDrawRequest::setVertexIndex(), and Lamp::PrimitiveDrawRequest::setVertexIndexCount().

The documentation for this class was generated from the following files:

- PrimitiveDrawRequestBuilder.h
- PrimitiveDrawRequestBuilder.cpp